#
# spec file for package csp-billing-adapter-amazon
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%{?sle15_python_module_pythons}

Name:           csp-billing-adapter-amazon
Version:        1.2.1
Release:        150400.9.19.1
Summary:        Implements Amazon metering hooks for csp-billing-adapter
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/SUSE-Enceladus/%{name}
Source:         https://files.pythonhosted.org/packages/source/c/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module csp-billing-adapter}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pluggy}
BuildRequires:  %{python_module boto3}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
%if %{with test}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module pytest-cov}
%endif
Requires:       python-setuptools
Requires:       python-pluggy
Requires:       python-boto3
Requires:       python-csp-billing-adapter
BuildArch:      noarch
Obsoletes:      python3-csp-billing-adapter-amazon < %{version}
%python_subpackages

%description
Provides a plugin for csp-billing-adapter to handle
metering of usage in Amazon AWS.

%prep
%autosetup -n %{name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%if %{with test}
%pytest
%endif

%files %{python_files}
%license LICENSE
%doc README.md CONTRIBUTING.md CHANGES.md
%{python_sitelib}/csp_billing_adapter_amazon
%{python_sitelib}/csp_billing_adapter_amazon-%{version}*-info

%changelog
* Tue Jun 10 2025 sean.marlow@suse.com
- Update to version 1.2.1
  + Make customer id required in meter billing hookspec
* Fri Feb 21 2025 sean.marlow@suse.com
- Update to version 1.2.0
  * Add batch metering function to handle subscription billing
* Mon Nov 25 2024 sean.marlow@suse.com
- Update to version 1.1.0
  * Add plugin file with plugin name for verification
* Wed Jul 10 2024 sean.marlow@suse.com
- Update to version 1.0.0:
  * Switch build to python 3.11
* Mon Oct  2 2023 sean.marlow@suse.com
- Update to version 0.5.1:
  * Fix typo in metadata url
* Thu Sep 21 2023 sean.marlow@suse.com
- Update to version 0.5.0:
  * Add get version hook implementation
- Update to version 0.4.0:
  * Add IPv6 support and IMDSv2
* Tue Aug  1 2023 sean.marlow@suse.com
- Update to version 0.3.0
  + Handle billing multiple dimensions.
* Wed Jun 28 2023 sean.marlow@suse.com
- Update to version 0.2.1
  + Add region to boto3 client session.
- Update to version 0.2.0
  + Use existing `get_csp_name` function to prevent duplication.
- update to version 0.1.0
  + Add logging and tests to cover fail cases
- Initial build
